varying float height, air;
uniform vec4 Eng_WaterDeepColor;
uniform float Eng_WaterDeepVisibility;

void main()
{
	float h = height; 	
	gl_FragColor = mix(vec4(1.0), Eng_WaterDeepColor, min(Eng_WaterDeepVisibility, height) / Eng_WaterDeepVisibility);
	if (air > 0.0)
		discard;		 
}
